Package org.jfree.layouting.input.style

## Class CSSImportRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSImportRule

-     public class CSSImportRule
      extends StyleRule

  Creation-Date: 23.11.2005, 11:06:52
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSImportRule​(StyleSheet parentStyle, StyleRule parentRule)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getHref​()` |
    `StyleSheet` | `getStyleSheet​()` |
    `void` | `setHref​(java.net.URL href)` |
    `void` | `setStyleSheet​(StyleSheet styleSheet)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `clone, getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSImportRule

          public CSSImportRule​(StyleSheet parentStyle,
                               StyleRule parentRule)

  - ### Method Detail

    - #### getHref

          public java.net.URL getHref​()

    - #### setHref

          public void setHref​(java.net.URL href)

    - #### getStyleSheet

          public StyleSheet getStyleSheet​()

    - #### setStyleSheet

          public void setStyleSheet​(StyleSheet styleSheet)